#ifndef _DISPLAY_H
#define _DISPLAY_H 1

#undef __EXTERN
#ifndef _DISPLAY_
#define __EXTERN extern 
#else
#define __EXTERN
#endif
#
__EXTERN SDL_Overlay *display_init(T_VIDEO *video, char* title, int scene_flag);
__EXTERN Uint32 display_draw_frame(T_VIDEO *video);
__EXTERN void display_scale(T_VIDEO *video, int zoom);
__EXTERN void display_scene(T_VIDEO *video);
__EXTERN void display_lock(void);
__EXTERN void display_unlock(void);
__EXTERN void display_refresh(T_VIDEO *video);
__EXTERN void display_slider(T_VIDEO *video, SDL_Rect *slider);

#endif // _DISPLAY_H